> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evolution Jobs

> List evolution jobs for an agent (paginated).

Proxies to Darwin's GET /v1/evolutions with team_id and agent_id.



## OpenAPI

````yaml /openapi/api.json get /v1/agents/{agent_id}/evolutions
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/agents/{agent_id}/evolutions:
    get:
      tags:
        - Agent Environment
        - evolution
      summary: List Evolution Jobs
      description: |-
        List evolution jobs for an agent (paginated).

        Proxies to Darwin's GET /v1/evolutions with team_id and agent_id.
      operationId: list_evolution_jobs_v1_agents__agent_id__evolutions_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvolutionJobList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EvolutionJobList:
      properties:
        results:
          items:
            $ref: '#/components/schemas/EvolutionJob'
          type: array
          title: Results
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - results
        - total
        - limit
        - offset
      title: EvolutionJobList
      description: >-
        Paginated list of evolution jobs (Console API uses `results`; Darwin
        uses `items`).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EvolutionJob:
      properties:
        evolution_id:
          type: string
          title: Evolution Id
        status:
          type: string
          title: Status
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        team_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Team Id
        extra:
          additionalProperties: true
          type: object
          title: Extra
          default: {}
      type: object
      required:
        - evolution_id
        - status
      title: EvolutionJob
      description: Console-side view of a Darwin evolution job.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````